> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Connection

> Update an existing connection



## OpenAPI

````yaml PUT /workspaces/{workspace_id}/connections/{connection_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/connections/{connection_id}:
    put:
      tags:
        - connections
      summary: Update connection
      description: Update an existing connection
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Connection ID
          name: connection_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/models.ConnectionConfig'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/models.ConnectionConfig'
components:
  requestBodies:
    models.ConnectionConfig:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/models.ConnectionConfig'
      description: Connection object
      required: true
  schemas:
    models.ConnectionConfig:
      type: object
      properties:
        credential:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
        scheme:
          $ref: '#/components/schemas/models.SpinScheme'
    models.SpinScheme:
      type: string
      enum:
        - ''
        - aws
        - azr
        - gcp
        - file
        - k8s
        - ddog
        - github
        - p8s
        - jenkins
        - grafana
        - splunk
        - shell
        - python
        - markdown
        - rest
      x-enum-varnames:
        - InvalidScheme
        - Aws
        - Azure
        - Gcp
        - File
        - KubeScheme
        - DatadogScheme
        - GithubScheme
        - Prometheus
        - JenkinsScheme
        - GrafanaScheme
        - SplunkScheme
        - ShellScheme
        - PythonScheme
        - MarkdownScheme
        - RestScheme
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````